summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-01-23 19:16:21 +0100
committerManuel Rüger <mrueg@gentoo.org>2016-01-23 19:16:21 +0100
commit8d45a57e0c1e9bb481112ef4158461c0b58e59c7 (patch)
tree59aa42e4fa047649f41137b6ffb04a0cfd4dbbf2 /dev-tex
parentdev-perl/Devel-Symdump: Remove old (diff)
downloadgentoo-8d45a57e0c1e9bb481112ef4158461c0b58e59c7.tar.gz
gentoo-8d45a57e0c1e9bb481112ef4158461c0b58e59c7.tar.bz2
gentoo-8d45a57e0c1e9bb481112ef4158461c0b58e59c7.zip
dev-tex/biber: Version bump
Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-tex')
-rw-r--r--dev-tex/biber/Manifest1
-rw-r--r--dev-tex/biber/biber-2.3.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/dev-tex/biber/Manifest b/dev-tex/biber/Manifest
index e1c2d040e5d..7bc88ea1d57 100644
--- a/dev-tex/biber/Manifest
+++ b/dev-tex/biber/Manifest
@@ -1,2 +1,3 @@
DIST biber-2.1.tar.gz 2222706 SHA256 7b20049557869a994ed9e0373f620720370981b6412ca415f0408d1af893f8f4 SHA512 4a19bf9781cb90da52d9f08163b9ed400233db5c446054b12ab339786456e85bc7aba16ff8c0a36351ecc66b90e4a93e594e820b52f93566449b8c96b27852fb WHIRLPOOL 0c7b1827e3e9ede6aebd45a00b63eac8cc3e7896d89c219fa2c467b4b6b10f48f2180aeb70d727f14620267943d59646daf4d0f09ddb1bd7b6b4b945d973dc03
DIST biber-2.2.tar.gz 2296128 SHA256 6dd93476b27ac7603bc9f224a3b00558f86617209f93b74f8cb4a51f54480c2f SHA512 508b5a8046a1ff7ef6482b5c1f86ce427fa47f669ca224ee52252109dd6488ff242ea5076cafd47f66f288fed994b5425eab4c2566346046e0b2f656ca679d7c WHIRLPOOL 2006b26277eaeb707211a1828e70c4bbfd04030f56e91062c57050a5b0479d317455352730976f3f9206eafbafdccc71d9f071f4e9dedace1c77e8c79ab826b4
+DIST biber-2.3.tar.gz 2288957 SHA256 7a85a7716f0dbe73b118d8d9b8ab26428a3505a1d5b366f2e954ede3e78563e3 SHA512 5d4c0ff32ba69d3f4591c167fc838972f39206a3ba7d73f9052ac10b9f528931a8fe6bdf37812a8e2634592f26a203e332bdc01e42997ce8bc49cf779eac2462 WHIRLPOOL 602acb26e4990e55024d21a7d4ed481133f27112dc7081c939b886c30cd33cb958abe59fc92e97e6a3e6f6fe1c9d4177dec36b0683f7a5b633f8eac9d7b778bc
diff --git a/dev-tex/biber/biber-2.3.ebuild b/dev-tex/biber/biber-2.3.ebuild
new file mode 100644
index 00000000000..8a74c0e6430
--- /dev/null
+++ b/dev-tex/biber/biber-2.3.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils perl-module
+
+MY_PN=biblatex-${PN}
+
+DESCRIPTION="A BibTeX replacement for users of biblatex"
+HOMEPAGE="http://biblatex-biber.sourceforge.net/ https://github.com/plk/biber/"
+SRC_URI="https://github.com/plk/biber/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Artistic-2 GPL-1 GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+RDEPEND=">=dev-lang/perl-5.16
+ dev-perl/autovivification
+ dev-perl/Business-ISBN
+ dev-perl/Business-ISMN
+ dev-perl/Business-ISSN
+ dev-perl/Data-Compare
+ dev-perl/Data-Dump
+ dev-perl/Date-Simple
+ dev-perl/Encode-EUCJPASCII
+ dev-perl/Encode-HanExtra
+ dev-perl/Encode-JIS2K
+ dev-perl/File-Slurp-Unicode
+ dev-perl/IPC-Run3
+ dev-perl/libwww-perl[ssl]
+ dev-perl/List-AllUtils
+ >=dev-perl/List-MoreUtils-0.408.0
+ dev-perl/Log-Log4perl
+ dev-perl/LWP-Protocol-https
+ dev-perl/regexp-common
+ dev-perl/Readonly
+ dev-perl/Readonly-XS
+ dev-perl/Text-Roman
+ >=dev-perl/Text-BibTeX-0.700.0
+ dev-perl/URI
+ dev-perl/Unicode-LineBreak
+ >=dev-perl/Unicode-Normalize-1.230.0
+ dev-perl/XML-LibXML-Simple
+ dev-perl/XML-LibXSLT
+ dev-perl/XML-SAX-Base
+ dev-perl/XML-Writer
+ >=dev-tex/biblatex-3.2
+ virtual/perl-IPC-Cmd
+ >=virtual/perl-Unicode-Collate-1.140.0"
+DEPEND="${RDEPEND}
+ dev-perl/Config-AutoConf
+ dev-perl/Module-Build
+ test? ( dev-perl/File-Which
+ dev-perl/Test-Differences
+ dev-perl/Test-Pod
+ dev-perl/Test-Pod-Coverage )"
+
+SRC_TEST="parallel"
+
+src_prepare(){
+ epatch "${FILESDIR}"/${PN}-2.1-drop-mozilla-ca.patch
+}
+
+src_install(){
+ perl-module_src_install
+ use doc && dodoc -r doc/*
+}
+
+src_test() {
+ BIBER_SKIP_DEV_TESTS=1 perl-module_src_test
+}